<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JR2.30 Các bài toán xử lý với mảng</title>
</head>
<body>
    <h1>JR2.30 Các bài toán xử lý với mảng</H1>
</body>
<script>
    // Tạo một mảng gồm các phần tử có giá trị từ x đến y
    function task1(paraX,paraY){
        var vLength = paraY - paraX;
        var vArray  = new Array(vLength);
        for(var i = 0; i < vArray.length; i ++){
            vArray[i] = paraX + i;
        }
        vArray.push(paraY);
        console.log(vArray);
    }
    // Gộp 2 mảng lại với nhau, bỏ hết các phần tử có giá trị trùng nhau
    function task2(paraArrayA,paraArrayB){
        var vArrayC = paraArrayA.concat(paraArrayB);
        var vUnique = [...new Set(vArrayC)];
        console.log(vUnique);
    }

    // Đếm số lần xuất hiện của phần tử n trong mảng
    function task3(paraArray,n){
        var vdem = 0;
        for(var i =0; i <paraArray.length; i ++){
            if(n === paraArray[i]){
                vdem ++;
            }
        }
        return vdem;
    }

    // Tính tổng các phần tử trong mảng
    function task4(paraArray){
        var vTong = 0;
        for(var i =0; i <paraArray.length; i ++){
            vTong += paraArray[i];
        }
        return vTong;
    }

    // Từ một mảng cho trước, tạo một mảng gồm toàn các số chẵn
    function task5(paraArray){
        var vResult = new Array();
        for(var i =0; i<paraArray.length; i ++){
            if(paraArray[i] %2 === 0){
                vResult.push(paraArray[i]);
            }
        }
        console.log(vResult);
    }

    // Từ 2 mảng cho trước, 
    // tạo một mảng mới trong đó mỗi phần tử là tổng của 2 phần tử ở vị trí tương ứng của 2 mảng đã cho
    function task6(paraArrayA,paraArrayB){

    }

    // Từ 1 mảng cho trước tạo một mảng mới gồm các phần tử của mảng cũ nhưng không bao gồm các phần tử có giá trị trùng nhau
    function task7(paraArrayA){
        
        var vUnique = [...new Set(paraArrayA)];
        console.log(vUnique);
    }

    // Lấy những phần tử có giá trị không trùng nhau của 2 mảng cho trước 

    function task8(paraArrayA,paraArrayB){
        var vArrayC = paraArrayA.concat(paraArrayB);
        var vUnique = [...new Set(vArrayC)];
        console.log(vUnique);
    }
    //Sắp xếp các phần tử theo giá trị giảm dần

    function task9(paraArray){
        paraArray.sort(function(a,b){return b -a });
        console.log(paraArray);
    }

    // Đổi phần tử từ vị trí thứ x sang vị trí thứ y
    function task10(paraArray,paraX,paraY){
        var temp = paraArray[paraX];
        paraArray[paraX] = paraArray[paraY];
        paraArray[paraY] = temp;
    }
</script>
</html>